[tests] Separation of test fixtures for 7.0 and 8.0

Bug #1517874 reported by Aleksey Kasatkin on 2015-11-19
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
High
Fuel Sustaining
Mitaka
High
Fuel Sustaining

Bug Description

It is hard to make separate tests for different release versions while we have just one fixture for all tests.
It requires to copy huge pieces of fixture in some cases.
We need to have separate fixtures (openstack.yaml) for tests for different release versions.
It is required to separate fixtures for 7.0 and 8.0 as tests for older versions use required changes in-line already.
And it is hard to add some recent changes w/o such separation in 8.0 (related to network roles).
But it will be better to separate older fixtures also to have clear separation and to reduce in-line fixture pieces count.

Dmitry Pyzhov (dpyzhov) on 2015-11-19
tags: added: tech-debt
Artem Roma (aroma-x) on 2015-11-24
Changed in fuel:
assignee: Fuel Python Team (fuel-python) → Artem Roma (aroma-x)
Dmitry Pyzhov (dpyzhov) wrote :

It appears that we cannot do it easily. We need proper design for this technical debt.

tags: added: need-bp
removed: tech-debt
Dmitry Pyzhov (dpyzhov) wrote :

Ironic feature is blocked by this bug. We are working on unblocking Ironic without implementation of this tech-debt.

Artem Roma (aroma-x) on 2015-11-26
Changed in fuel:
assignee: Artem Roma (aroma-x) → Fuel Python Team (fuel-python)
Changed in fuel:
assignee: Fuel Python Team (fuel-python) → Artem Roma (aroma-x)
status: Confirmed → In Progress
Oleg S. Gelbukh (gelbuhos) wrote :

Implementing this means we will have code paths in tree that we know they don't work. I can't understand reasons for this. Could you please elaborate or point at the change that is blocked by this bug?

Changed in fuel:
assignee: Artem Roma (aroma-x) → Nikolay Starodubtsev (starodubcevna)

Reviewed: https://review.openstack.org/250743
Committed: https://git.openstack.org/cgit/openstack/fuel-web/commit/?id=0dd45c26128f17eb1b4f4219a70c0c6cb8e92600
Submitter: Jenkins
Branch: master

commit 0dd45c26128f17eb1b4f4219a70c0c6cb8e92600
Author: Andrey Shestakov <email address hidden>
Date: Mon Nov 2 17:08:04 2015 +0200

    Patch network_roles_metadata for 7.0 release where needed

    The patching mostly done for tests for nailgun components adhering to
    the release version. E.g. network serializers. Some tests are forced to
    create environments of 8.0 version. The change is needed to resolve
    possible issues with the tests when network roles metadata is changed
    drastically and is not compatible with mentioned components.

    Partial-Bug: #1517874
    Change-Id: I55607157ae7767ffdfd1d855b872630832706e8e

Changed in fuel:
assignee: Nikolay Starodubtsev (starodubcevna) → Artem Roma (aroma-x)
Artem Roma (aroma-x) on 2015-12-29
Changed in fuel:
assignee: Artem Roma (aroma-x) → Fuel Python Team (fuel-python)
status: In Progress → Confirmed
Dmitry Pyzhov (dpyzhov) on 2015-12-29
tags: added: tech-debt
Changed in fuel:
milestone: 8.0 → 9.0

(This check performed automatically)
Please, make sure that bug description contains the following sections filled in with the appropriate data related to the bug you are describing:

actual result

version

expected result

steps to reproduce

For more detailed information on the contents of each of the listed sections see https://wiki.openstack.org/wiki/Fuel/How_to_contribute#Here_is_how_you_file_a_bug

tags: added: need-info
tags: removed: need-info
Changed in fuel:
milestone: 9.0 → 10.0
Dmitry Pyzhov (dpyzhov) wrote :

Technical debt, doesn't affect real users. Removing from Mitaka release.

Changed in fuel:
assignee: Fuel Python Team (fuel-python) → Artem Roma (aroma-x)
status: Confirmed → In Progress
Artem Roma (aroma-x) on 2016-04-22
Changed in fuel:
status: In Progress → Confirmed
assignee: Artem Roma (aroma-x) → Fuel Python Team (fuel-python)
Changed in fuel:
assignee: Fuel Python Team (fuel-python) → Artem Roma (aroma-x)
status: Confirmed → In Progress
Artem Roma (aroma-x) on 2016-04-26
Changed in fuel:
status: In Progress → Confirmed
assignee: Artem Roma (aroma-x) → Fuel Python Team (fuel-python)
Changed in fuel:
assignee: Fuel Python Team (fuel-python) → Artem Roma (aroma-x)
status: Confirmed → In Progress
Artem Roma (aroma-x) on 2016-05-04
Changed in fuel:
status: In Progress → Confirmed
assignee: Artem Roma (aroma-x) → Fuel Python (Deprecated) (fuel-python)
Dmitry Pyzhov (dpyzhov) on 2016-06-22
Changed in fuel:
assignee: Fuel Python (Deprecated) (fuel-python) → Fuel Sustaining (fuel-sustaining-team)
Download full text (21.0 KiB)

Reviewed: https://review.openstack.org/360086
Committed: https://git.openstack.org/cgit/openstack/fuel-nailgun-extension-cluster-upgrade/commit/?id=40dd411fe461441e943de806f5de632eeb64dc4a
Submitter: Jenkins
Branch: stable/mitaka

commit 17ab5a3aaa7d2c4ae4652d1a4dc0410b31e7c47d
Author: Sergey Abramov <email address hidden>
Date: Wed Aug 24 18:32:39 2016 +0300

    Add create upgrade release handler

    Required for create new release just for upgrade, that have overwrited
    params. This params are valid for orig cluster release.

    Change-Id: Ib2387b9c2b74902c7289ee8f69a5f5d323ec82ca

commit 8de47e0dbf5955b3cbe59a3956e1ca1f4d8679ef
Author: Nikita Zubkov <email address hidden>
Date: Wed Aug 24 15:42:32 2016 +0300

    Add VIPs transformer

    Move upgrade vips code to the transformer

    Change-Id: Ia6935521b8b90b73fb74ba92859e7febf74c4ced

commit b54f9d4c29808c4561b20af508b85b9e40fa72b6
Author: Nikita Zubkov <email address hidden>
Date: Wed Aug 24 17:51:39 2016 +0300

    Move partition info transformation to extension

    octane have some dirty hacks to change volumes attributes using nailgun
    as a library, such modifications should be done in a extension

    Change-Id: I422bb368916f3a319e286edcc6103a2834097a87

commit b3ce0d348cc20ed988b5adf66474836f631eb12d
Author: Anastasiya <email address hidden>
Date: Mon Aug 1 15:47:13 2016 +0300

    Add tests for assign_node_to_cluster

    Change-Id: Iafa1baa6a1ca4d701ec89e49dd9d6f969804c82e

commit a764ba306dcd0cfb65a82c89f07ec0f3d129c66b
Author: Nikita Zubkov <email address hidden>
Date: Tue Aug 23 14:05:16 2016 +0300

    Update README

    Add instalation section

    Change-Id: Ib16132ab9c18d757e96e98304fdd8339ddf5497a

commit 95ff3a3598397bb6e3c68793051298aaa006d163
Author: Yuriy Taraday <email address hidden>
Date: Tue Aug 23 23:01:16 2016 +0300

    Add cluster transformations

    Implement transformations that are applied to cluster attributes during
    environment cloning.

    Conversion from text to text_list type has been limited to dns_list and
    ntp_list keys only to keep predictable behavior.

    Change-Id: I1ff596f850bd42243697cad1c1c35f0cf1386376

commit 163ce243fbade3dac05eb535ad2987687a57f87d
Author: Yuriy Taraday <email address hidden>
Date: Tue Aug 23 22:51:19 2016 +0300

    Add pluggable transformations for data migration

    This change introduces new transformation mechanism:
    - all available transformations are listed in setuptools entry points
      under namespace like this (for cluster transformations):

        nailgun.cluster_upgrade.transformations.cluster.9.0 =
            dns_list = ...
            ntp_list = ...
        nailgun.cluster_upgrade.transformations.cluster.8.0 =
            ...
        <etc>

    - config file will include section that specifies enabled
      transformations like this:

        CLUSTER_UPGRADE_TRANSFORMATIONS:
          cluster:
            9.0: dns_list ntp_list ...
            8.0: ...
            7.0: ...

      (only default values are implemented here, actual config support will
      follow)

    - when transformations...

tags: added: in-stable-mitaka

Fix proposed to branch: master
Review: https://review.openstack.org/367019

Changed in fuel:
assignee: Fuel Sustaining (fuel-sustaining-team) → Ilya Kharin (akscram)
status: Confirmed → In Progress
Ilya Kharin (akscram) on 2016-09-07
Changed in fuel:
status: In Progress → Confirmed
assignee: Ilya Kharin (akscram) → Fuel Sustaining (fuel-sustaining-team)

Change abandoned by Ilya Kharin (<email address hidden>) on branch: master
Review: https://review.openstack.org/367019

Fix proposed to branch: master
Review: https://review.openstack.org/367419

Changed in fuel:
assignee: Fuel Sustaining (fuel-sustaining-team) → Ilya Kharin (akscram)
status: Confirmed → In Progress

Change abandoned by Ilya Kharin (<email address hidden>) on branch: master
Review: https://review.openstack.org/367419

Download full text (14.8 KiB)

Reviewed: https://review.openstack.org/367019
Committed: https://git.openstack.org/cgit/openstack/fuel-nailgun-extension-cluster-upgrade/commit/?id=e38d48cbc5d216ac0f853466ab48e5d6d9687521
Submitter: Jenkins
Branch: master

commit a4e2a67e3e5024b0ae65f445355965a1263fef73
Author: Ilya Kharin <email address hidden>
Date: Sat Sep 3 02:42:07 2016 +0300

    Add support to re-assign a set of nodes

    This patch adds an ability to re-assign a set of the given nodes at
    once. This feature was technically available but not exposed to the
    client. A groupped re-assigning allows to effectively re-provision nodes
    by creating an atomic task in Astute.

    Change-Id: I4a7c7e35d844683ef73ad7f8459d1892e80e0a64
    Related-Bug: #1616925

commit d87125662f2f55204244e43ec6522fe36c6bf21e
Author: Nikita Zubkov <email address hidden>
Date: Mon Aug 29 17:56:09 2016 +0300

    Add test for vip transformer

    Change-Id: I65124237604fe6718ad6c351825f192a98d470fb
    (cherry picked from commit 55422ddce7b0e9e1b9976504500de8a1688a99d7)

commit 3cac9b551cdecaf9148800cc6fd9b81fbb3149c5
Author: Nikita Zubkov <email address hidden>
Date: Tue Jul 19 18:24:42 2016 +0300

    Switch to upstream fuel-web repository

    Change-Id: I994304bdc8eaf7e4da175981cb721d41a286fed0
    Depends-On: Id0bc78478cf3f40767fed760cd54e487a934fa10

commit a78f4348f84dd470ba1f3b99d2c751fa2dd12d7a
Author: Anastasiya <email address hidden>
Date: Mon Aug 1 14:39:35 2016 +0300

    Move change_env_settings function from octane to cluster upgrade extension

    * change_env_settings function was moved to cluster upgrade extention
    * merge generated attributes code was written

    Change-Id: I6d1e27b8b0c01f3251067bc88931cd2354feb5ce
    Partial-Bug: #1602587
    (cherry picked from commit dc2e3f930957b2c8af2d6c6a60bfcc6c5e6bb061)

commit 280fc4f08258f1e85ba099f74c4956233652e9a2
Author: Ilya Kharin <email address hidden>
Date: Wed Aug 10 17:28:17 2016 +0300

    Add absent __init__.py to migrations/versions

    Without the versions/__init__.py file versions was not identified as
    a package and was not included in a distribution.

    Change-Id: I67f152ebb9234df880c61d79d154b1aabc8828c6
    Closes-Bug: #1611793

commit f7ebb08b46f5beb13701f7a6a71a1f4fea05f451
Author: Alexander Tsamutali <email address hidden>
Date: Mon Aug 1 15:47:58 2016 +0300

    Add package spec

    Change-Id: Id71764dff07a4b32851eb8ccf69c66dca4a7b6ab
    Related-Bug: #1604492

commit b93ebedc49f79f6ba4a710a9d1715c9f965b3081
Author: Anastasiya <email address hidden>
Date: Fri Jul 15 10:24:11 2016 +0300

    Correction of transformation for text_list

    * added removing of space in text_list
    * added test for merge_attributes

    Change-Id: I5582878fc7c524551593abf21dfd4ea45cd430c9
    Closes-bug: 1602607
    (cherry picked from commit fdd2a6226483c67ce8bc7adc8b2d354862125bac)

commit d4db5ba78ccefd08e465cd30116094678c5cb35f
Author: Nikita Zubkov <email address hidden>
Date: Wed Jul 13 13:43:58 2016 +0300

    Fix package namespace

commit 443fc43da6e963cd0825880a80678e8e385c0a3a
Author: Nikita Zubkov <email address hidden>
Date: Wed J...

Ilya Kharin (akscram) on 2016-11-17
Changed in fuel:
assignee: Ilya Kharin (akscram) → Fuel Sustaining (fuel-sustaining-team)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers